Skip to main content
POST
/
smart-accounts
/
{smart_account_address}
/
kyc
cURL
curl --request POST \
  --url https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/kyc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Grid-Environment: <x-grid-environment>' \
  --data '
{
  "email": "john.doe@example.com",
  "endorsements": "[\"ach\", \"sepa\"]",
  "full_name": "John Doe",
  "grid_user_id": "123e4567-e89b-12d3-a456-426614174000",
  "redirect_uri": "https://example.com/redirect"
}
'
import requests

url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/kyc"

payload = {
"email": "john.doe@example.com",
"endorsements": "[\"ach\", \"sepa\"]",
"full_name": "John Doe",
"grid_user_id": "123e4567-e89b-12d3-a456-426614174000",
"redirect_uri": "https://example.com/redirect"
}
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Grid-Environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'john.doe@example.com',
endorsements: '["ach", "sepa"]',
full_name: 'John Doe',
grid_user_id: '123e4567-e89b-12d3-a456-426614174000',
redirect_uri: 'https://example.com/redirect'
})
};

fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "2025-04-01T16:51:23.773Z",
  "customer_id": "<string>",
  "email": "<string>",
  "full_name": "<string>",
  "id": "<string>",
  "kyc_link": "<string>",
  "persona_inquiry_type": "<string>",
  "tos_link": "<string>",
  "rejection_reasons": "<unknown>"
}
{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}
{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}
{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}
{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

API Key for authentication

Headers

X-Grid-Environment
string
required

The environment you’re using. Can be sandbox or production.

Path Parameters

smart_account_address
string
required

The address of the smart account to request KYC link for

Body

application/json
email
string
required
Example:

"john.doe@example.com"

endorsements
string[]
required
Example:

"[\"ach\", \"sepa\"]"

full_name
string
required
Example:

"John Doe"

grid_user_id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

type
enum<string>
required
Available options:
individual,
business
redirect_uri
string | null
Example:

"https://example.com/redirect"

Response

Successfully requested KYC link

created_at
string<date-time>
required
Example:

"2025-04-01T16:51:23.773Z"

customer_id
string
required
email
string
required
full_name
string
required
id
string
required
kyc_status
enum<string>
required
Available options:
not_started,
under_review,
incomplete,
approved,
rejected
persona_inquiry_type
string
required
tos_status
enum<string>
required
Available options:
pending,
approved
type
enum<string>
required
Available options:
individual,
business
rejection_reasons
any